<template>
  <div>
    <ul>
      <li v-for="item in items" :key="item" @click="itemClick(item)">{{item.name}}</li>
    </ul>      
  </div>
</template>

<script>
export default {
name: 'singleList',
props:{
  items: Array,
},
methods:{
  itemClick(item){
    this.$emit('itemclick', item);
  }
},
}
</script>

<style>

</style>